al_rebase_path(3)

NAME

al_rebase_path - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_rebase_path(const ALLEGRO_PATH *head, ALLEGRO_PATH *tail)

DESCRIPTION

Concatenate two path structures, modifying the second path structure. If tail is an absolute path, this function does nothing. Otherwise, the drive and path components in head are inserted at the start of tail.

For example, if head is "/anchor/" and tail is "data/file.ext", then after the call tail becomes "/anchor/data/file.ext".

SEE ALSO

al_join_paths(3)